Actualités du web

security

Une vulnérabilité critique dans la commande sudo a été découvert par des chercheurs, ladite commande est couramment utilisé utilisé par les systèmes Unix/Linux. Cette faille existe depuis près d'une dizaine d'années.

 

En détails

Cette découverte montre que « set_cmnd() est vulnérable à un débordement de la mémoire tampon, car le dépassement de caractères copiés dans le tampon « user_args » n’intègre pas cette capacité ». Une attaque local pourrait utiliser ce problème pour obtenir un accès au compte administrateur. ( CVE-2021-3156 )

Ils ont été découverts que l'utilitaire Sudo sudoedit ne gére pas correctement la vérification des autorisations de répertoire. Une attaque local pourrait éventuellement utiliser ce problème pour contourner les autorisations de fichier et déterminer si un répertoire existe ou non. ( CVE-2021-23239 )

La solution

Sudo a travaillé sur un correctif à appliquer très rapidement. Ubuntu et Red Hat ont publié ce patch et d’autres distributions sont en cours de déploiement du correctif.

Articles similaires